Pular para o conteúdo principal
POST
/
api
/
v1
/
calendars
curl -X POST "https://app.talkover.ai/api/v1/calendars" \
  -H "Authorization: Bearer talq_your_environment_token_here" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Sales Demo Calendar",
    "timezone": "America/New_York",
    "owner_id": "user-uuid-1"
  }'
{
  "success": true,
  "data": {
    "id": "calendar-uuid-1",
    "name": "Sales Demo Calendar",
    "timezone": "America/New_York",
    "owner_id": "user-uuid-1",
    "created_at": "2024-01-15T18:00:00Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt

Use this file to discover all available pages before exploring further.

Criar Calendário

Criar um novo calendário.

Endpoint

POST /api/v1/calendars

Cabeçalhos da Requisição

Authorization
string
obrigatório
Token Bearer para autenticação. Formato: Bearer talq_your_environment_token_here
Content-Type
string
obrigatório
Deve ser definido como application/json

Corpo da Requisição

name
string
obrigatório
Nome do calendário. Máximo de 255 caracteres.
timezone
string
IANA timezone (ex: America/New_York). Padrão é o fuso horário do ambiente.
owner_id
string
obrigatório
UUID do usuário proprietário do calendário.
metadata
object
Metadados livres opcionais.

Exemplos

curl -X POST "https://app.talkover.ai/api/v1/calendars" \
  -H "Authorization: Bearer talq_your_environment_token_here" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Sales Demo Calendar",
    "timezone": "America/New_York",
    "owner_id": "user-uuid-1"
  }'

Resposta

{
  "success": true,
  "data": {
    "id": "calendar-uuid-1",
    "name": "Sales Demo Calendar",
    "timezone": "America/New_York",
    "owner_id": "user-uuid-1",
    "created_at": "2024-01-15T18:00:00Z"
  }
}